dudley/src/DomainFactory.h File Reference
`#include <dudley/DudleyDomain.h>`
`#include <boost/python/list.hpp>`
`#include <sstream>`

Go to the source code of this file.

## Namespaces

| dudley
| A suite of factory methods for creating 2D and 3D dudley domains.

## Functions

Domain_ptr | dudley::readMesh (const std::string &fileName, int integrationOrder=-1, int reducedIntegrationOrder=-1, bool optimize=false)
| reads a mesh from a fly file. For MPI parallel runs fans out the mesh to multiple processes. More...
Domain_ptr | dudley::readGmsh (const std::string &fileName, int numDim, int integrationOrder=-1, int reducedIntegrationOrder=-1, bool optimize=false)
| reads a gmsh mesh file More...
Domain_ptr | dudley::brick (escript::JMPI jmpi, dim_t n0=1, dim_t n1=1, dim_t n2=1, int order=1, double l0=1.0, double l1=1.0, double l2=1.0, bool periodic0=false, bool periodic1=false, bool periodic2=false, int integrationOrder=-1, int reducedIntegrationOrder=-1, bool useElementsOnFace=false, bool useFullElementOrder=false, bool optimize=false)
| Creates a rectangular mesh with n0 x n1 x n2 elements over the brick [0,l0] x [0,l1] x [0,l2]. More...
DUDLEY_DLL_API escript::Domain_ptr | dudley::brick_driver (const boost::python::list &args)
| Python driver for brick() More...
Domain_ptr | dudley::rectangle (escript::JMPI jmpi, dim_t n0=1, dim_t n1=1, int order=1, double l0=1.0, double l1=1.0, bool periodic0=false, bool periodic1=false, int integrationOrder=-1, int reducedIntegrationOrder=-1, bool useElementsOnFace=false, bool useFullElementOrder=false, bool optimize=false)
| Creates a 2-dimensional rectangular mesh with n0 x n1 x 2 Tri3 elements over the rectangle [0,l0] x [0,l1]. The doubling of elements is due to splitting of rectangular elements. More...
DUDLEY_DLL_API escript::Domain_ptr | dudley::rectangle_driver (const boost::python::list &args)
| Python driver for rectangle() More...